#include <iostream>
#include <bits/stdc++.h>


using namespace std;


bool f(double a, double b)
{
    if(abs(a-b)<=0.00001)return 1;
    return 0;
}


int binarys(int l, int r, pair<double, double> pairt[], double x)
{
    if(l<=r)
    {
       int mid=(l+r)/2;
       if(f(pairt[mid].second,x))return mid;
       else
       if(pairt[mid].second>x)return binarys(l, mid-1, pairt, x);
       else
       if(pairt[mid].second<x)return binarys(mid+1, r, pairt, x);
    }
    return -1;
}


double x[2000];
double y[2000];
int r[1200000];


int main()
{
    std::ios::sync_with_stdio(false);
    int n;
    cin>>n;
    for(int i=0; i<n; i++)
    {
        cin>>x[i]>>y[i];
    }
    pair <double, double> pairt[(n*n)/2];
    double d1;
    double d2;
    //cout<<endl;
    int k=0;
    for(int i=0; i<n-1; i++)
    {
        for(int j=i+1; j<n; j++)
        {
            if(x[i]==x[j])pairt[k].first=INT_MAX;
            else
            pairt[k].first=(y[i]-y[j])/(x[i]-x[j]);
            d1=fabs(x[i]-x[j]);
            d2=fabs(y[i]-y[j]);
            pairt[k].second=0;
            pairt[k].second=sqrt(d1*d1 + d2*d2);
            k++;
        }
    }
    sort(pairt, pairt+k);
    /*for(int i=0; i<k; i++)
    {
        cout<<pairt[i].first<<" "<<pairt[i].second<<endl;
    }*/
    double l_n=pairt[0].first;
    int p=0;
    for(int i=1; i<k; i++)
    {
        if(pairt[i].first!=l_n)
        {
            r[p]=i-1;
            p++;
            l_n=pairt[i].first;
        }

    }
    r[p]=k-1;
    for(int i=0; i<p; i++)
    {
        //cout<<r[i]<<endl;
    }
    int i=0;
    int j=0;
    int l=0;
    int mid;
    int suma=0;
    //cout<<endl;
    while(i<k)
    {
        mid=binarys(i+1, r[j], pairt, (pairt[i].second)*2);
        //cout<<mid<<endl;
        if(mid!=-1)
        {
            suma++;
        }
        i++;
        if(i>r[j])
        {
            j++;
        }
        //cout<<r[j]<<endl;
        //cout<<pairt[i].second<<endl;
    }
    cout<<suma;

}